package sgc.portal.ei.eicom.web;

import java.util.List;

import org.springframework.web.bind.annotation.*;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.eicom.dto.EICOMSearch;
import sgc.portal.ei.eicom.service.EICOMService;

@RestController
@RequestMapping("/ei/eicom")
public class EICOMController {
    private final EICOMService service;

    public EICOMController(EICOMService service) {
        this.service = service;
    }
    
    /*
     * 마감체크(월별)
     */
    @PostMapping("/EICOM/chackCloseEis")
    public List<EasyHashMap<String, Object>> chackCloseEis(@RequestBody EICOMSearch search) {
        return service.chackCloseEis(search);
    }
    
    /*
     * 마감체크(최종월)
     */
    @PostMapping("/EICOM/chackCloseEisMm")
    public List<EasyHashMap<String, Object>> chackCloseEisMm(@RequestBody EICOMSearch search) {
        return service.chackCloseEisMm(search);
    }
    
}
